import { ImporterManifest, Registries } from '@pnpm/types';
export default function (pkgs: Array<{
    dir: string;
    manifest: ImporterManifest;
}>, opts: {
    access?: 'public' | 'restricted';
    argv: {
        original: string[];
    };
    tag?: string;
    ca?: string;
    cert?: string;
    fetchRetries?: number;
    fetchRetryFactor?: number;
    fetchRetryMaxtimeout?: number;
    fetchRetryMintimeout?: number;
    httpsProxy?: string;
    key?: string;
    localAddress?: string;
    lockfileDir?: string;
    offline?: boolean;
    dir: string;
    proxy?: string;
    rawConfig: object;
    registries: Registries;
    storeDir?: string;
    strictSsl?: boolean;
    userAgent?: string;
    verifyStoreIntegrity?: boolean;
    workspaceDir: string;
}): Promise<void>;
